StartTangent Example |
Using Programming Languages other than VBA
Sub Example_StartTangent() ' This example creates a spline. It then queries the current setting for ' the StartTangent, and then changes the StartTangent to a new value. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim msg As String startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ThisDrawing.Regen True GoSub GETPOINTS MsgBox "The StartTangent for the spline is " & msg, vbInformation, "StartTangent Example" Dim newTan(0 To 2) As Double newTan(0) = 1.5: newTan(1) = 0.707: newTan(2) = 2 ' Change the start tangent of Spline to (1.5, 0.707, 2) splineObj.EndTangent = newTan ThisDrawing.Regen True GoSub GETPOINTS MsgBox "The StartTangent has been changed to " & msg, vbInformation, "StartTangent Example" Exit Sub
GETPOINTS: Dim count As Integer msg = "" ' Get the coordinates from the start tangent For count = 0 To 2 msg = msg & Format(splineObj.StartTangent(count), "0.###") & ", " Next msg = VBA.Left(msg, Len(msg) - 2) Return End Sub
Comments? |